Citrusleaf Test
===============

This directory consists of test scripts for security related API's implemented in citrusleaf.py.

Following API's are overed using unittest,
- queryUser
- queryUsers
- createUser
- dropUser
- setPassword
- changePassword
- grantRoles
- revokeRoles
- replaceRoles

How to run ?
------------

You will find a shell script named, run_tests. Simply run it on your command prompt.

####Various options present on run_tests

1. '--norun' : List all test cases
2. '--secured' : Run test cases for secured cluster [DEFAULT]
3. '--unsecured' : Run test cases for unsecured cluster
4. '--all' : Run for both secured and unsecured

Shell script is responsible for dropping existing test users and creating new test users, which are needed for successful execution of all the test cases.

nosetests is used for loading all test cases present in this directory.

To install nosetests,
- pip install nose

#### Run individual test case

$nosetests <file/module>:<Test Class>.<method name> -v